import type React from 'react';
import type { Selection } from './MenuImperative.types';
export declare const menuItemsWrapperAttribute: {
    "data-core-menuimperative-items-wrapper": string;
};
export declare function createSensors(ref: React.RefObject<HTMLDivElement>, circular: boolean, onChangeActiveDescendant: (id: string | undefined, menuRef: Element | null) => void): {
    handleKeyDown(event: React.KeyboardEvent<HTMLDivElement>): void;
    handleItemHover(el?: HTMLDivElement): void;
    useKeyboardSensor(api: SensorAPI): void;
    updateSelectCallback(callback: (selection: Selection) => any): void;
    highlight: (item: HTMLElement | null | undefined, shouldScroll?: boolean) => void;
    highlighted(): any;
    highlightFirst: (shouldScroll?: boolean) => void;
    highlightLast: (shouldScroll?: boolean) => void;
    rehighlightCurrent(): void;
    highlightSelected(shouldScroll?: boolean): void;
    highlightSuggested(shouldScroll?: boolean): void;
    prev: () => void;
    next: () => void;
    select: (event: React.MouseEvent<HTMLElement, MouseEvent> | React.KeyboardEvent<HTMLElement>) => void;
};
